Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 759421 - dev-python/ioflo-2.0.2 fails test
Summary: dev-python/ioflo-2.0.2 fails test
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Patrick McLean
URL:
Whiteboard:
Keywords: TESTFAILURE
Depends on:
Blocks: 758515
  Show dependency tree
 
Reported: 2020-12-10 22:00 UTC by Thomas Deutschmann
Modified: 2021-02-28 14:22 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,65.83 KB, text/plain)
2020-12-10 22:00 UTC, Thomas Deutschmann
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Deutschmann gentoo-dev Security 2020-12-10 22:00:56 UTC
Created attachment 677797 [details]
build.log

> =================================================================================== FAILURES ====================================================================================
> _____________________________________________________________________ BasicTestCase.testClientAutoReconnect _____________________________________________________________________
> 
> self = <ioflo.aio.tcp.test.test_tcping.BasicTestCase testMethod=testClientAutoReconnect>
> 
>     def testClientAutoReconnect(self):
>         """
>         Test Classes Client/Outgoer reconnectable
>         """
>         console.terse("{0}\n".format(self.testClientAutoReconnect.__doc__))
>         console.reinit(verbosity=console.Wordage.profuse)
>     
>         wireLogAlpha = wiring.WireLog(buffify=True, same=True)
>         result = wireLogAlpha.reopen()
>     
>         wireLogBeta = wiring.WireLog(buffify=True,  same=True)
>         result = wireLogBeta.reopen()
>     
>         store = storing.Store(stamp=0.0)
>     
>         beta = clienting.Client(ha=('127.0.0.1', 6101),
>                                    bufsize=131072,
>                                    wlog=wireLogBeta,
>                                    store=store,
>                                    timeout=0.2,
>                                    reconnectable=True, )
>         self.assertIs(beta.reopen(), True)
>         self.assertIs(beta.accepted, False)
>         self.assertIs(beta.connected, False)
>         self.assertIs(beta.cutoff, False)
>         self.assertIs(beta.store, store)
>         self.assertIs(beta.reconnectable, True)
>     
>         console.terse("Connecting beta to alpha when alpha not up\n")
>         while beta.store.stamp <= 0.25:
>             beta.serviceConnect()
>             if beta.connected and beta.ca in alpha.ixes:
>                 break
>             beta.store.advanceStamp(0.05)
>             time.sleep(0.05)
>     
>         self.assertIs(beta.accepted, False)
>         self.assertIs(beta.connected, False)
>     
>         alpha = serving.Server(port = 6101, bufsize=131072, wlog=wireLogAlpha, store=store)
>         self.assertIs(alpha.reopen(), True)
>         self.assertEqual(alpha.ha, ('0.0.0.0', 6101))
>         self.assertEqual(alpha.eha, ('127.0.0.1', 6101))
>     
>     
>         console.terse("Connecting beta to alpha when alpha up\n")
>         while True:
>             beta.serviceConnect()
>             alpha.serviceConnects()
>             if beta.connected and beta.ca in alpha.ixes:
>                 break
>             beta.store.advanceStamp(0.05)
>             time.sleep(0.05)
>     
>         self.assertIs(beta.accepted, True)
>         self.assertIs(beta.connected, True)
>         self.assertIs(beta.cutoff, False)
>         self.assertEqual(beta.ca, beta.cs.getsockname())
>         self.assertEqual(beta.ha, beta.cs.getpeername())
>         self.assertEqual(alpha.eha, beta.ha)
>     
>         ixBeta = alpha.ixes[beta.ca]
>         self.assertIsNotNone(ixBeta.ca)
>         self.assertIsNotNone(ixBeta.cs)
>         self.assertEqual(ixBeta.cs.getsockname(), beta.cs.getpeername())
>         self.assertEqual(ixBeta.cs.getpeername(), beta.cs.getsockname())
>         self.assertEqual(ixBeta.ca, beta.ca)
>         self.assertEqual(ixBeta.ha, beta.ha)
>     
>         msgOut = b"Beta sends to Alpha"
>         beta.tx(msgOut)
>         while not ixBeta.rxbs and beta.txes:
>             beta.serviceTxes()
>             alpha.serviceReceivesAllIx()
>             time.sleep(0.05)
>         msgIn = bytes(ixBeta.rxbs)
> >       self.assertEqual(msgIn, msgOut)
> E       AssertionError: b'' != b'Beta sends to Alpha'
> 
> ioflo/aio/tcp/test/test_tcping.py:818: AssertionError
> ----------------------------------------------------------------------------- Captured stdout call ------------------------------------------------------------------------------
> 
>         Test Classes Client/Outgoer reconnectable
>         
>       Added node .meta to Store51
>       Added share time to store Store51
>       Added share realtime to store Store51
>       Added share datetime to store Store51
> Connecting beta to alpha when alpha not up
> Connecting beta to alpha when alpha up
> Outgoer at ('127.0.0.1', 56292), sent 19 bytes to ('127.0.0.1', 6101):
> ------------
> Beta sends to Alpha
> 
> _____________________________________________________________ BasicTestCase.testTLSConnectionClientVerifyServerCert _____________________________________________________________
> 
> self = <ioflo.aio.tcp.test.test_tcping.BasicTestCase testMethod=testTLSConnectionClientVerifyServerCert>
> 
>     def testTLSConnectionClientVerifyServerCert(self):
>         """
>         Test TLS client server connection with neither verify certs
>         """
>         try:
>             import ssl
>         except ImportError:
>             return
>     
>         console.terse("{0}\n".format(self.testTLSConnectionClientVerifyServerCert.__doc__))
>         console.reinit(verbosity=console.Wordage.profuse)
>     
>         wireLogAlpha = wiring.WireLog(buffify=True, same=True)
>         result = wireLogAlpha.reopen()
>     
>         wireLogBeta = wiring.WireLog(buffify=True,  same=True)
>         result = wireLogBeta.reopen()
>     
>         serverKeypath = os.path.join(self.certdirpath, 'server_key.pem')  # local server private key
>         serverCertpath = os.path.join(self.certdirpath, 'server_cert.pem')  # local server public cert
>         clientCafilepath = os.path.join(self.certdirpath, 'client.pem') # remote client public cert
>     
>         clientKeypath = os.path.join(self.certdirpath, 'client_key.pem')  # local client private key
>         clientCertpath = os.path.join(self.certdirpath, 'client_cert.pem')  # local client public cert
>         serverCafilepath = os.path.join(self.certdirpath, 'server.pem') # remote server public cert
>     
>         alpha = serving.ServerTls(host='localhost',
>                                       port = 6101,
>                                       bufsize=131072,
>                                       wlog=wireLogAlpha,
>                                       context=None,
>                                       version=None,
>                                       certify=ssl.CERT_NONE,
>                                       keypath=serverKeypath,
>                                       certpath=serverCertpath,
>                                       cafilepath=clientCafilepath,
>                                       )
> >       self.assertIs(alpha.reopen(), True)
> E       AssertionError: False is not True
> 
> ioflo/aio/tcp/test/test_tcping.py:1143: AssertionError
> ----------------------------------------------------------------------------- Captured stdout call ------------------------------------------------------------------------------
> 
>         Test TLS client server connection with neither verify certs
>         
>       Added node .meta to Store52
>       Added share time to store Store52
>       Added share realtime to store Store52
>       Added share datetime to store Store52
> socket.error = [Errno 98] Address already in use
> ____________________________________________________________________ BasicTestCase.testTLSConnectionDefault _____________________________________________________________________
> 
> self = <ioflo.aio.tcp.test.test_tcping.BasicTestCase testMethod=testTLSConnectionDefault>
> 
>     def testTLSConnectionDefault(self):
>         """
>         Test TLS connection with default settings
>         """
>         try:
>             import ssl
>         except ImportError:
>             return
>     
>         console.terse("{0}\n".format(self.testTLSConnectionDefault.__doc__))
>         console.reinit(verbosity=console.Wordage.profuse)
>     
>         wireLogAlpha = wiring.WireLog(buffify=True, same=True)
>         result = wireLogAlpha.reopen()
>     
>         wireLogBeta = wiring.WireLog(buffify=True,  same=True)
>         result = wireLogBeta.reopen()
>     
>         #serverKeypath = '/etc/pki/tls/certs/server_key.pem'  # local server private key
>         #serverCertpath = '/etc/pki/tls/certs/server_cert.pem'  # local server public cert
>         #clientCafilepath = '/etc/pki/tls/certs/client.pem' # remote client public cert
>     
>         #clientKeypath = '/etc/pki/tls/certs/client_key.pem'  # local client private key
>         #clientCertpath = '/etc/pki/tls/certs/client_cert.pem'  # local client public cert
>         #serverCafilepath = '/etc/pki/tls/certs/server.pem' # remote server public cert
>     
>         serverKeypath = self.certdirpath + '/server_key.pem'  # local server private key
>         serverCertpath = self.certdirpath + '/server_cert.pem'  # local server public cert
>         clientCafilepath = self.certdirpath + '/client.pem' # remote client public cert
>     
>         clientKeypath = self.certdirpath + '/client_key.pem'  # local client private key
>         clientCertpath = self.certdirpath + '/client_cert.pem'  # local client public cert
>         serverCafilepath = self.certdirpath + '/server.pem' # remote server public cert
>     
>         alpha = serving.ServerTls(host='localhost',
>                                       port = 6101,
>                                       bufsize=131072,
>                                       wlog=wireLogAlpha,
>                                       context=None,
>                                       version=None,
>                                       certify=None,
>                                       keypath=serverKeypath,
>                                       certpath=serverCertpath,
>                                       cafilepath=clientCafilepath,
>                                       )
> >       self.assertIs(alpha.reopen(), True)
> E       AssertionError: False is not True
> 
> ioflo/aio/tcp/test/test_tcping.py:878: AssertionError
> ----------------------------------------------------------------------------- Captured stdout call ------------------------------------------------------------------------------
> 
>         Test TLS connection with default settings
>         
>       Added node .meta to Store53
>       Added share time to store Store53
>       Added share realtime to store Store53
>       Added share datetime to store Store53
> socket.error = [Errno 98] Address already in use
> =============================================================================== warnings summary ================================================================================
> ioflo/aid/osetting.py:13
>   /var/tmp/portage/dev-python/ioflo-2.0.2/work/ioflo-2.0.2/ioflo/aid/osetting.py:13: DeprecationWarning: Using or importing the ABCs from 'collections' instead of from 'collections.abc' is deprecated since Python 3.3, and in 3.9 it will stop working
>     class oset(collections.MutableSet):
> 
> ioflo/aid/aiding.py:138
>   /var/tmp/portage/dev-python/ioflo-2.0.2/work/ioflo-2.0.2/ioflo/aid/aiding.py:138: DeprecationWarning: invalid escape sequence \w
>     """Returns True if string s is valid Store path name
> 
> ioflo/aid/aiding.py:204
>   /var/tmp/portage/dev-python/ioflo-2.0.2/work/ioflo-2.0.2/ioflo/aid/aiding.py:204: DeprecationWarning: invalid escape sequence \w
>     """Returns True if string s is valid python identifier (variable, attribute etc)
> 
> ioflo/aid/eventing.py:10
>   /var/tmp/portage/dev-python/ioflo-2.0.2/work/ioflo-2.0.2/ioflo/aid/eventing.py:10: DeprecationWarning: Using or importing the ABCs from 'collections' instead of from 'collections.abc' is deprecated since Python 3.3, and in 3.9 it will stop working
>     from collections import Set  # both set and frozen set
> 
> ioflo/base/acting.py:8
>   /var/tmp/portage/dev-python/ioflo-2.0.2/work/ioflo-2.0.2/ioflo/base/acting.py:8: DeprecationWarning: Using or importing the ABCs from 'collections' instead of from 'collections.abc' is deprecated since Python 3.3, and in 3.9 it will stop working
>     from collections import deque, Mapping
> 
> ioflo/aid/classing.py:8
> ioflo/aid/classing.py:8
>   /var/tmp/portage/dev-python/ioflo-2.0.2/work/ioflo-2.0.2/ioflo/aid/classing.py:8: DeprecationWarning: Using or importing the ABCs from 'collections' instead of from 'collections.abc' is deprecated since Python 3.3, and in 3.9 it will stop working
>     from collections import Iterable, Sequence
> 
> ioflo/aid/classing.py:126
>   /var/tmp/portage/dev-python/ioflo-2.0.2/work/ioflo-2.0.2/ioflo/aid/classing.py:126: DeprecationWarning: Using or importing the ABCs from 'collections' instead of from 'collections.abc' is deprecated since Python 3.3, and in 3.9 it will stop working
>     from collections import Generator
> 
> ioflo/base/logging.py:13
> ioflo/base/logging.py:13
>   /var/tmp/portage/dev-python/ioflo-2.0.2/work/ioflo-2.0.2/ioflo/base/logging.py:13: DeprecationWarning: Using or importing the ABCs from 'collections' instead of from 'collections.abc' is deprecated since Python 3.3, and in 3.9 it will stop working
>     from collections import deque, MutableSequence, MutableMapping, Mapping
> 
> ioflo/aio/http/test/test_clienting.py: 24 warnings
> ioflo/aio/http/test/test_serving.py: 1 warning
>   /var/tmp/portage/dev-python/ioflo-2.0.2/work/ioflo-2.0.2/ioflo/aio/http/httping.py:1060: DeprecationWarning: 'encoding' is ignored and deprecated. It will be removed in Python 3.9
>     self.data = json.loads(self.body.decode('utf-8'),
> 
> ioflo/aio/http/test/test_clienting.py: 10 warnings
>   /var/tmp/portage/dev-python/ioflo-2.0.2/work/ioflo-2.0.2/ioflo/aio/http/httping.py:749: DeprecationWarning: 'encoding' is ignored and deprecated. It will be removed in Python 3.9
>     ejson = json.loads(edata, encoding='utf-8', object_pairs_hook=odict)
> 
> -- Docs: https://docs.pytest.org/en/stable/warnings.html
> ============================================================================ short test summary info ============================================================================
> FAILED ioflo/aio/tcp/test/test_tcping.py::BasicTestCase::testClientAutoReconnect - AssertionError: b'' != b'Beta sends to Alpha'
> FAILED ioflo/aio/tcp/test/test_tcping.py::BasicTestCase::testTLSConnectionClientVerifyServerCert - AssertionError: False is not True
> FAILED ioflo/aio/tcp/test/test_tcping.py::BasicTestCase::testTLSConnectionDefault - AssertionError: False is not True
> ====================================================== 3 failed, 109 passed, 16 skipped, 45 warnings in 124.07s (0:02:04) =======================================================
>  * ERROR: dev-python/ioflo-2.0.2::gentoo failed (test phase):
>  *   Tests fail with python3.8
Comment 1 Thomas Deutschmann gentoo-dev Security 2020-12-10 22:01:01 UTC
Portage 3.0.9 (python 3.8.6-final-0, default/linux/x86/17.0, gcc-9.3.0, glibc-2.32-r2, 5.4.80-gentoo-x86 i686)
=================================================================
System uname: Linux-5.4.80-gentoo-x86-i686-AMD_Ryzen_Threadripper_3970X_32-Core_Processor-with-glibc2.1.3
KiB Mem:     3106076 total,   1835128 free
KiB Swap:    8387560 total,   8365288 free
Timestamp of repository gentoo: Thu, 10 Dec 2020 19:05:14 +0000
Head commit of repository gentoo: 898a484bb2e3e2bb52670d91f5c51a56384d66c0

sh bash 5.0_p18
ld GNU ld (Gentoo 2.34 p6) 2.34.0
ccache version 3.7.12 [enabled]
app-shells/bash:          5.0_p18::gentoo
dev-java/java-config:     2.3.1::gentoo
dev-lang/perl:            5.30.3::gentoo
dev-lang/python:          3.6.12::gentoo, 3.8.6::gentoo, 3.9.0::gentoo
dev-util/ccache:          3.7.12::gentoo
dev-util/cmake:           3.17.4-r1::gentoo
dev-util/pkgconfig:       0.29.2::gentoo
sys-apps/baselayout:      2.7::gentoo
sys-apps/openrc:          0.42.1::gentoo
sys-apps/sandbox:         2.20::gentoo
sys-devel/autoconf:       2.13-r1::gentoo, 2.69-r5::gentoo
sys-devel/automake:       1.16.2-r1::gentoo
sys-devel/binutils:       2.34-r2::gentoo
sys-devel/gcc:            9.3.0-r2::gentoo
sys-devel/gcc-config:     2.3.2-r1::gentoo
sys-devel/libtool:        2.4.6-r6::gentoo
sys-devel/make:           4.2.1-r4::gentoo
sys-kernel/linux-headers: 5.4-r1::gentoo (virtual/os-headers)
sys-libs/glibc:           2.32-r2::gentoo
Repositories:

gentoo
    location: /var/db/repos/gentoo
    sync-type: git
    sync-uri: https://anongit.gentoo.org/git/repo/sync/gentoo.git
    priority: -1000

ABI="x86"
ABI_X86="32"
ACCEPT_KEYWORDS="x86"
ACCEPT_LICENSE="*"
ACCEPT_PROPERTIES="*"
ACCEPT_RESTRICT="*"
ADA_TARGET="gnat_2018"
ARCH="x86"
BINPKG_COMPRESS="bzip2"
BROOT=""
CBUILD="i686-pc-linux-gnu"
CCACHE_DIR="/var/cache/ccache"
CFLAGS="-O2 -pipe -march=pentium4m -mtune=pentium4m -Wno-error=jump-misses-init -Wno-error=sign-compare"
CHOST="i686-pc-linux-gnu"
CHOST_x86="i686-pc-linux-gnu"
COLLISION_IGNORE="/lib/modules/*"
CONFIG_PROTECT="/etc /usr/share/gnupg/qualified.txt"
CPU_FLAGS_X86="mmx mmxext sse sse2"
CXXFLAGS="-O2 -pipe -march=pentium4m -mtune=pentium4m -Wno-error=jump-misses-init -Wno-error=sign-compare"
DEFAULT_ABI="x86"
EDITOR="/usr/bin/mcedit"
ELIBC="glibc"
ENV_UNSET="CARGO_HOME DBUS_SESSION_BUS_ADDRESS DISPLAY GOBIN GOPATH PERL5LIB PERL5OPT PERLPREFIX PERL_CORE PERL_MB_OPT PERL_MM_OPT XAUTHORITY XDG_CACHE_HOME XDG_CONFIG_HOME XDG_DATA_HOME XDG_RUNTIME_DIR"
EPREFIX=""
EROOT="/"
ESYSROOT="/"
FCFLAGS="-O2 -march=i686 -pipe"
FEATURES="assume-digests binpkg-docompress binpkg-dostrip binpkg-logs binpkg-multi-instance buildpkg ccache cgroup config-protect-if-modified distlocks downgrade-backup ebuild-locks fixlafiles ipc-sandbox merge-sync multilib-strict network-sandbox news parallel-fetch pid-sandbox preserve-libs protect-owned qa-unresolved-soname-deps sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -march=i686 -pipe"
GCC_SPECS=""
GRUB_PLATFORMS="efi-32 pc"
GSETTINGS_BACKEND="dconf"
HOME="/root"
INFOPATH="/usr/share/gcc-data/i686-pc-linux-gnu/9.3.0/info:/usr/share/binutils-data/i686-pc-linux-gnu/2.34/info:/usr/share/info"
INPUT_DEVICES="libinput"
IUSE_IMPLICIT="abi_x86_32 prefix prefix-guest prefix-stack"
KERNEL="linux"
L10N="en en-US de de-DE"
LANG="en_US.UTF-8"
LC_ALL="en_US.UTF-8"
LC_MESSAGES="C"
LC_PAPER="de_DE.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
LIBDIR_x86="lib"
LINGUAS="en de"
LOGNAME="root"
LUA_SINGLE_TARGET="lua5-1"
LUA_TARGETS="lua5-1"
MAIL="/var/mail/root"
MAKEOPTS="--jobs 5 --load-average 7.95"
MANPAGER="manpager"
MOTD_SHOWN="pam"
MULTILIB_ABIS="x86"
NOCOLOR="true"
OFFICE_IMPLEMENTATION="libreoffice"
OLDPWD="/var/db/repos/gentoo"
OPENCL_PROFILE="ocl-icd"
OPENGL_PROFILE="xorg-x11"
PAGER="/usr/bin/less"
PATH="/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/opt/bin:/usr/lib/llvm/11/bin:/usr/lib/llvm/10/bin"
PHP_TARGETS="php7-2 php7-3 php7-4"
POSTGRES_TARGETS="postgres10 postgres11"
PWD="/var/db/repos/gentoo/net-misc/curl"
PYTHONDONTWRITEBYTECODE="1"
PYTHON_SINGLE_TARGET="python3_8"
PYTHON_TARGETS="python2_7 python3_8"
QT_GRAPHICSSYSTEM="raster"
ROOT="/"
ROOTPATH="/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/opt/bin:/usr/lib/llvm/11/bin:/usr/lib/llvm/10/bin"
RUBY_TARGETS="ruby25 ruby26"
SHELL="/bin/bash"
SHLVL="2"
SSH_TTY="/dev/pts/0"
SYSROOT="/"
TERM="tmux-256color"
TMUX="/tmp//tmux-0/default,3298,0"
TMUX_PANE="%2"
TWISTED_DISABLE_WRITING_OF_PLUGIN_CACHE="1"
USER="root"
USERLAND="GNU"
VIDEO_CARDS="vmware"
XDG_CONFIG_DIRS="/etc/xdg"
XDG_DATA_DIRS="/usr/local/share:/usr/share"
XDG_RUNTIME_DIR="/run/user/0"
XDG_SESSION_CLASS="user"
XDG_SESSION_ID="1"
XDG_SESSION_TYPE="tty"